/* ******************************************************************

   class    : ParamDlg
   date     : Okt 05 1998
   compiler : javac (1.1.6)

******************************************************************* */

package Dialogs;

/* ******************************************************************
   import statements
******************************************************************* */

import java.awt.*;
import java.awt.event.*;
import java.util.ResourceBundle;
import java.util.Properties;

import CustCtrl.BaseDialog;
import CustCtrl.OkTextField;
import Utils.ResourceUtil;

/**
 * A class that lets you specify the command line parameter.
 *
 * @author puehringer edgar
 */
public class ParamDlg extends BaseDialog implements ActionListener {

  // class variable declarations
  private static final String TITLE   = "cmdParamDlg.title";
  private static final String BUTTONS = "cmdParamDlg.buttons";
  private static final String TEXT    = "cmdParamDlg.text";

  // instance variable declarations
  private OkTextField tf;

  // constructors
  /** Create a new ParamDlg object. */
  public ParamDlg(Frame parent, ResourceBundle resources,String str) {
    super(parent,true);

    Panel panel = getContentPanel();

    setTitle(ResourceUtil.getResStringOrKey(resources,TITLE));
    createButtons(ResourceUtil.getResStringOrKey(resources,BUTTONS));
   panel.add(new Label(ResourceUtil.getResStringOrKey(resources,TEXT)));
    if (str == null) {
      tf = new OkTextField(15);
    }
    else {
      tf = new OkTextField(str,15);
      tf.select(0,str.length());
    } // end if
    tf.addActionListener(this);
    panel.add(tf);
    pack();
    center(parent);
    setResizable(false);
  } // end constructor ParamDlg

  // methods
  /** Read the TextFields text. */
  public String getResult() {
    return tf.getText();
  } // end getResult

  // --- ActionListener ---------------------------------------------
  /** Invoked when an action occurs. */
  public void actionPerformed(ActionEvent e) {
    closeDialog(e);
  } // end actionPerformed

} // end ParamDlg

/* ******************************************************************
   end of file
******************************************************************* */
