// project: SID - Structured Interactive Documentation
// author : Dipl.Ing. Stefan Chiettini

package SID.Meta;

public abstract class InterfaceFilter{

	protected InterfaceFilter wrapped;

	InterfaceFilter(){
		wrapped = null;
	}

	InterfaceFilter(InterfaceFilter wrap){
		wrapped = wrap;
	}

	public boolean acceptMethod(MethodInfo mi){
		if (wrapped != null) return wrapped.acceptMethod(mi);
		else return true;
	}

	public boolean acceptAttribute(AttributeInfo ai){
		if (wrapped != null) return wrapped.acceptAttribute(ai);
		else return true;
	}
}