// project: SID - Structured Interactive Documentation
// author : Dipl.Ing. Stefan Chiettini

package SID.Meta;

import java.util.*;
import java.io.*;

// concrete class to represent java methods

public class JavaMethodInfo extends MethodInfo{

	static{
		modResolve = modifierPool.javaMods();
		typeResolve = modifierPool.javaTypes();
		modMax = 10;
	}

	public JavaMethodInfo(String name, short retType){
		super(name, retType);
	}

	public JavaMethodInfo(String name, String retType){
		super(name, retType);
	}

	public JavaMethodInfo(){ super(); }

	public String toString(){
		StringBuffer retString = new StringBuffer("");
		retString.append(name + "(");
		
		for (Enumeration e=parameters.elements(); e.hasMoreElements();){
			Parameter p = (Parameter)e.nextElement();

			retString.append(p.getType());
			if (e.hasMoreElements()) retString.append(", ");
		}
		return  (retString.toString()+")");
	}

	public boolean isPublic(){ return isModifierSet("public"); }
	public boolean isPrivate(){ return isModifierSet("private"); }
	public boolean isProtected(){ return isModifierSet("protected"); }
}


