/* ******************************************************************

   class    : SmartToolBarLoader
   date     : Okt 04 1998
   compiler : javac (1.1.6)

******************************************************************* */

/* ******************************************************************
   import statements
******************************************************************* */

import java.net.URL;
import java.util.Hashtable;
import java.util.ResourceBundle;

import javax.swing.ImageIcon;

/**
 * This ToolBarLoader keeps track of the loaded images and avoids
 * multiple loading of the same image.
 *
 * @author puehringer edgar
 */
public class SmartToolBarLoader extends JToolBarLoader {

  // class variable declarations
  private static Hashtable loaded;

  // constructors
  /** Create a new SmartToolBarLoader object. */
  public SmartToolBarLoader(ResourceBundle resources) {
    super(resources);
    if (loaded == null) loaded = new Hashtable();
  } // end constructor SmartToolBarLoader

  // methods
  /** Hook through which ImageIcons are loaded. */
  protected ImageIcon loadImageIcon(URL url) {
    if (loaded.containsKey(url)) {
      return (ImageIcon)loaded.get(url);
    }
    else {
      ImageIcon img = super.loadImageIcon(url);

      if (img != null) loaded.put(url,img);
      return img;
    } // end if
  } // end loadImageIcon

} // end SmartToolBarLoader

/* ******************************************************************
   end of file
******************************************************************* */
