  #pragma getbool AUTO_DISPOSE Dispose on window closing event
  #define __TITLE__ Insert WindowListener
  #define __BUTTON__ Continue >
  //---- WindowListener ---------------------------------------------
  /** Invoked the first time a window is made visible. */
  public void windowOpened(WindowEvent e) {
  } // end windowOpened

  /**
   * Invoked when the user attempts to close the window from the
   * window's system menu. If the program does not explicitly hide
   * or dispose the window while processing this event, the window
   * close operation will be cancelled.
   */
  public void windowClosing(WindowEvent e) {
  #ifdef AUTO_DISPOSE
    Window wnd = e.getWindow();

    wnd.setVisible(false);
    wnd.dispose();
  #endif
  } // end windowClosing

  /**
   * Invoked when a window has been closed as the result of
   * calling dispose on the window.
   */
  public void windowClosed(WindowEvent e) {
  } // end windowClosed

  /**
   * Invoked when a window is changed from a normal to a
   * minimized state. For many platforms, a minimized window
   * is displayed as the icon specified in the window's
   * iconImage property.
   */
  public void windowIconified(WindowEvent e) {
  } // end windowIconified

  /**
   * Invoked when a window is changed from a minimized to a
   * normal state.
   */
  public void windowDeiconified(WindowEvent e) {
  } // end windowDeiconified

  /**
   * Invoked when the window is set to be the user's active
   * window, which means the window (or one of its
   * subcomponents) will receive keyboard events.
   */
  public void windowActivated(WindowEvent e) {
  } // end windowActivated

  /**
   * Invoked when a window is no longer the user's active
   * window, which means that keyboard events will no longer
   * be delivered to the window or its subcomponents.
   */
  public void windowDeactivated(WindowEvent e) {
  } // end windowDeactivated
